"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ComponentKind_1 = require("../Models/ComponentKind");
var Property = (function () {
    function Property(name) {
        this.componentKind = ComponentKind_1.ComponentKind.PROPERTY;
        this.modifier = 'public';
        this.returnType = 'any';
        this.isOptional = false;
        this.isStatic = false;
        this.name = name;
    }
    Property.prototype.toPUML = function () {
        return "" + { public: '+', private: '-', protected: '#' }[this.modifier] + (this.isStatic ? '{static} ' : '') + this.name + (this.isOptional ? '?' : '') + ": " + this.returnType;
    };
    return Property;
}());
exports.Property = Property;
